/**
 * 
 */
package com.hotent.base.attachment;

import com.hotent.base.model.ExtraProp;

/**
 * 附件实体接口
 * @company 广州宏天软件股份有限公司
 * @author:lj
 * @date:2018年6月13日
 */
public interface Attachment extends ExtraProp{

	public static final String SAVE_TYPE_FOLDER = "folder";
	public static final String SAVE_TYPE_FTP = "ftp";
	public static final String SAVE_TYPE_DTABASE = "database";
	public static final String SAVE_TYPE_ALIYUN_OSS = "aliyunOss";
	
	String getId();
	
    void setId(String id);
	
	String getStoreType();//存储类型

	String getExtensionName();/*扩展名*/

	String getFileName();/*文件名*/

	Long  getByteCount();/*总字节数*/

	String getFilePath();/*文件路径*/
	
	byte[]  getBytes();/*文件二进制数据*/
	
	void setBytes(byte[] bytes);
	
	//设置文件名是否加密
	void setEntryptName(Boolean entryptName);
	//获取文件名是否加密
	Boolean getEntryptName();
	//设置文件路径
	void setFilePath(String filePath);

}
